www.cendio.com
Bug 4597 - Remove Java-based client (SSHVnc) in favour of the HTML5 client
: Remove Java-based client (SSHVnc) in favour of the HTML5 client
Status: CLOSED FIXED
: ThinLinc
Web Access
: 4.0.0
: PC Unknown
: P2 Normal
: 4.3.0
Assigned To:
:
:
: 4132
: 4264 5190 5191
  Show dependency treegraph
 
Reported: 2013-04-16 14:14 by
Modified: 2014-10-06 15:47 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-04-16 14:14:37
When we have the HTML5 client ready, we should phase out the Java applet
SSHVnc.
------- Comment #1 From cendio 2014-08-08 15:31:07 -------
r29231 - removed the Java client from the docs
r29232 - removed .jar and .tar.gz files and cleaned up makefiles
r29241 - cleanup of tlclient.cgi, removed: .no.sshvnc, clienttype and
javaclient image
r29242 - removed /vsmagent/default_geometry parameter
------- Comment #2 From cendio 2014-08-11 11:32:12 -------
r29246 - removed network-NAT-javaclient.png from makefile
r29247 - removed autotest for default_geometry
------- Comment #3 From cendio 2014-08-11 17:09:17 -------
r29249 - updated tl-setup
------- Comment #4 From cendio 2014-08-19 19:04:30 -------
r29271 - renamed browser_client directories to web_integration
------- Comment #5 From cendio 2014-08-20 11:57:50 -------
r29273 - updated references to web_integration sections in the tag
------- Comment #6 From cendio 2014-08-20 12:29:06 -------
http://www.cendio.com/resources/docs/platforms/selinux.xhtml has a note a
workaround to let tlclient.cgi connect to vsmserver. Is this still required now
that the Java client is gone?
------- Comment #7 From cendio 2014-08-20 16:31:35 -------
> http://www.cendio.com/resources/docs/platforms/selinux.xhtml has a note a
> workaround to let tlclient.cgi connect to vsmserver. Is this still required now
> that the Java client is gone?

r29279
------- Comment #8 From cendio 2014-08-20 16:51:20 -------
The same note was present in the tag, it was removed in r29280.
------- Comment #9 From cendio 2014-08-25 09:53:46 -------
(In reply to comment #1)
> r29231 - removed the Java client from the docs
> r29232 - removed .jar and .tar.gz files and cleaned up makefiles
> r29241 - cleanup of tlclient.cgi, removed: .no.sshvnc, clienttype and
> javaclient image

I think it would be good if the clienttype parameter is still recognized, but
with an error/info message printed if you try to use clienttype=java.
Otherwise, customers using such URLs will be silently redirected to the native
client. Reopening for discussion.
------- Comment #10 From cendio 2014-08-27 17:21:24 -------
(In reply to comment #9)
> I think it would be good if the clienttype parameter is still recognized, but
> with an error/info message printed if you try to use clienttype=java.
> Otherwise, customers using such URLs will be silently redirected to the native
> client. Reopening for discussion.

Fixed in r29295.

A small bug with the javascript code was fixed in r29296.

Redirect to https was broken, fixed in r29297.

After internal discussions we decided to keep default_geometry, the removal the
 parameter was reverted in r29294.
------- Comment #11 From cendio 2014-08-29 15:57:33 -------
(In reply to comment #4)
> r29271 - renamed browser_client directories to web_integration

This will likely break customers apache configuration unless they run tl-setup.
We should consider writing a note regarding this in the release notes.
------- Comment #12 From cendio 2014-09-01 08:54:26 -------
(In reply to comment #11)
> (In reply to comment #4)
> > r29271 - renamed browser_client directories to web_integration
> 
> This will likely break customers apache configuration unless they run tl-setup.
> We should consider writing a note regarding this in the release notes.

No problem, tl-setup is required after installation/upgrade. Services will not
start until it is executed.
------- Comment #13 From cendio 2014-09-22 14:35:52 -------
Minor problem: The TAG still talks about "the common CGI script". I believe we
should remove "common" since tlclient.cgi is exclusively used for the native
client now. 

Also, this section was removed entirely:

-      <para>
-        When using the Java Browser Client, usernames and passwords are
limited
-        to ASCII characters (ISO 646). Some PAM modules and authentication
-        mechanisms are case sensitive, while others are not. Usernames in the
-        ThinLinc client are case sensitive by default, however this behaviour
-        can be changed. See
-        <varname>LOWERCASE_LOGIN_NAME</varname>
-        in <xref linkend="clientconf" /> for details.
-      </para>

Only the first sentence should be removed; the rest still applies.
------- Comment #14 From cendio 2014-09-22 14:49:22 -------
(In reply to comment #13)
> Minor problem: The TAG still talks about "the common CGI script". I believe we
> should remove "common" since tlclient.cgi is exclusively used for the native
> client now. 
> 
> Also, this section was removed entirely:
> 
> -      <para>
> -        When using the Java Browser Client, usernames and passwords are
> limited
> -        to ASCII characters (ISO 646). Some PAM modules and authentication
> -        mechanisms are case sensitive, while others are not. Usernames in the
> -        ThinLinc client are case sensitive by default, however this behaviour
> -        can be changed. See
> -        <varname>LOWERCASE_LOGIN_NAME</varname>
> -        in <xref linkend="clientconf" /> for details.
> -      </para>
> 
> Only the first sentence should be removed; the rest still applies.


Fixed in r29403 and r29404
------- Comment #15 From cendio 2014-09-22 14:56:48 -------
Ok now.